WATCH(8)

NAME
watch - snoop on another tty line

SYNOPSIS
watch [-ciotW] tty

DESCRIPTION
Watch allows the superuser to examine all data coming through a specified tty. Watch writes to standard output.

The options are as follows:

-c  Reconnect on close. If the tty observed by watch is closed, automatically reattach to the same tty. If this option is not specified, watch will request a new tty if running in interactive mode or exit if running without a controlling tty.

-i  Force interactive mode. Interactive mode is a default if watch is started from a tty. If output is redirected to a file, interactive mode can still be requested by specifying this option.

-o  Reconnect on overflow. The behavior of watch if the observed tty overflows is similar to the behavior if the observed tty is closed. For more info see snp(4).

-t  Print the date and time when observation of a given tty is started.

-W  Allow write access to observed tty.

tty Tty may be specified as an tty-style device, such as a pseudo tty device, a virtual console, or a serial line, etc. Names may be preceded by "/dev/".

OPERATION
While running in interactive mode, all user input is discarded except for:

<control-Q>
    Exit watch.
<control-W>
    Clear screen.
<control-X>
    Change attached tty.

RESTRICTIONS
Only the superuser can run watch.

SEE ALSO
snp(4), pty(4), sio(4).

BUGS
No terminal emulation is performed. All user output is reproduced as-is.

AUTHOR
Ugen J.S. Antsilevich <ugen@NetVision.net.il>

HISTORY
Watch first appeared in FreeBSD 2.1